Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class DefaultStyledDocument.AttributeUndoableEdit

    java.lang.Object
      |
      +--javax.swing.undo.AbstractUndoableEdit
            |
            +--javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit

public static class DefaultStyledDocument.AttributeUndoableEdit
extends AbstractUndoableEdit

An UndoableEdit used to remember AttributeSet changes to an Element.

See Also:
  Serialized Form

Field Summary
`protected AttributeSet` | `copy`
`protected Element` | `element`
`protected boolean` | `isReplacing`
`protected AttributeSet` | `newAttributes`

Fields inherited from class javax.swing.undo.AbstractUndoableEdit
`RedoName, UndoName`

Constructor Summary
`DefaultStyledDocument.AttributeUndoableEdit(Element element, AttributeSet newAttributes, boolean isReplacing)`

Method Summary
`void` | `redo()` Redoes a change.
`void` | `undo()` Undoes a change.

Methods inherited from class javax.swing.undo.AbstractUndoableEdit
`addEdit, canRedo, canUndo, die, getPresentationName, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### newAttributes

    protected AttributeSet newAttributes

### copy

    protected AttributeSet copy

### isReplacing

    protected boolean isReplacing

### element

    protected Element element

Constructor Detail

### DefaultStyledDocument.AttributeUndoableEdit

    public DefaultStyledDocument.AttributeUndoableEdit(Element element,
                                                       AttributeSet newAttributes,
                                                       boolean isReplacing)

Method Detail

### redo

    public void redo()
              throws CannotRedoException

  Redoes a change.
  Throws:
    CannotRedoException - if the change cannot be redone
  Overrides:
    redo in class AbstractUndoableEdit

### undo

    public void undo()
              throws CannotUndoException

  Undoes a change.
  Throws:
    CannotUndoException - if the change cannot be undone
  Overrides:
    undo in class AbstractUndoableEdit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.